--
-- Crafting definition
--

core.register_craft({
	output = "default:wood 2",
	recipe = {
		{"default:tree"},
	}
})

core.register_craft({
	output = "default:wood 2",
	recipe = {
		{"default:tree_horizontal"},
	}
})

core.register_craft({
	output = "default:junglewood 2",
	recipe = {
		{"default:jungletree"},
	}
})

core.register_craft({
	output = "default:junglewood 2",
	recipe = {
		{"default:jungletree_horizontal"},
	}
})

core.register_craft({
	output = "default:pine_wood 2",
	recipe = {
		{"default:pine_tree"},
	}
})

core.register_craft({
	output = "default:pine_wood 2",
	recipe = {
		{"default:pine_tree_horizontal"},
	}
})

core.register_craft({
	output = "default:acacia_wood 2",
	recipe = {
		{"default:acacia_tree"},
	}
})

core.register_craft({
	output = "default:acacia_wood 2",
	recipe = {
		{"default:acacia_tree_horizontal"},
	}
})

core.register_craft({
	output = "default:birch_wood 2",
	recipe = {
		{"default:birch_tree"},
	}
})

core.register_craft({
	output = "default:birch_wood 2",
	recipe = {
		{"default:birch_tree_horizontal"},
	}
})

core.register_craft({
	output = "default:tree_horizontal 2",
	recipe = {
		{"", "default:tree"},
		{"default:tree", ""},
	}
})

core.register_craft({
	output = "default:tree 2",
	recipe = {
		{"", "default:tree_horizontal"},
		{"default:tree_horizontal", ""},
	}
})

core.register_craft({
	output = "default:jungletree_horizontal 2",
	recipe = {
		{"", "default:jungletree"},
		{"default:jungletree", ""},
	}
})

core.register_craft({
	output = "default:jungletree 2",
	recipe = {
		{"", "default:jungletree_horizontal"},
		{"default:jungletree_horizontal", ""},
	}
})

core.register_craft({
	output = "default:pine_tree_horizontal 2",
	recipe = {
		{"", "default:pine_tree"},
		{"default:pine_tree", ""},
	}
})

core.register_craft({
	output = "default:pine_tree 2",
	recipe = {
		{"", "default:pine_tree_horizontal"},
		{"default:pine_tree_horizontal", ""},
	}
})

core.register_craft({
	output = "default:acacia_tree_horizontal 2",
	recipe = {
		{"", "default:acacia_tree"},
		{"default:acacia_tree", ""},
	}
})

core.register_craft({
	output = "default:acacia_tree 2",
	recipe = {
		{"", "default:acacia_tree_horizontal"},
		{"default:acacia_tree_horizontal", ""},
	}
})

core.register_craft({
	output = "default:birch_tree_horizontal 2",
	recipe = {
		{"", "default:birch_tree"},
		{"default:birch_tree", ""},
	}
})

core.register_craft({
	output = "default:birch_tree 2",
	recipe = {
		{"", "default:birch_tree_horizontal"},
		{"default:birch_tree_horizontal", ""},
	}
})

core.register_craft({
	output = "default:stick 6",
	recipe = {
		{"group:leaves"},
		{"group:leaves"},
		{"group:leaves"},
	}
})

core.register_craft({
	output = "default:stick 6",
	recipe = {
		{"default:dry_shrub"},
		{"default:dry_shrub"},
		{"default:dry_shrub"},
	}
})

core.register_craft({
	output = "default:sign_wall 12",
	recipe = {
		{"group:wood", "group:wood", "group:wood"},
		{"group:wood", "group:wood", "group:wood"},
		{"", "group:stick", ""},
	}
})

core.register_craft({
	output = "default:torch 4",
	recipe = {
		{"default:coal_lump"},
		{"group:stick"},
	}
})

core.register_craft({
	output = "default:pick_wood",
	recipe = {
		{"group:tree", "group:tree", "group:tree"},
		{"", "group:stick", ""},
		{"", "group:stick", ""},
	}
})

core.register_craft({
	output = "default:pick_wood",
	recipe = {
		{"group:tree_horizontal", "group:tree_horizontal", "group:tree_horizontal"},
		{"", "group:stick", ""},
		{"", "group:stick", ""},
	}
})

core.register_craft({
	output = "default:pick_stone",
	recipe = {
		{"default:cobble", "default:cobble", "default:cobble"},
		{"", "group:stick", ""},
		{"", "group:stick", ""},
	}
})

core.register_craft({
	output = "default:pick_copper",
	recipe = {
		{"default:copper_ingot", "default:copper_ingot", "default:copper_ingot"},
		{"", "group:stick", ""},
		{"", "group:stick", ""},
	}
})

core.register_craft({
	output = "default:pick_bronze",
	recipe = {
		{"default:bronze_ingot", "default:bronze_ingot", "default:bronze_ingot"},
		{"", "group:stick", ""},
		{"", "group:stick", ""},
	}
})

core.register_craft({
	output = "default:pick_steel",
	recipe = {
		{"default:steel_ingot", "default:steel_ingot", "default:steel_ingot"},
		{"", "group:stick", ""},
		{"", "group:stick", ""},
	}
})

core.register_craft({
	output = "default:pick_mese",
	recipe = {
		{"default:mese_crystal", "default:mese_crystal", "default:mese_crystal"},
		{"", "group:stick", ""},
		{"", "group:stick", ""},
	}
})

core.register_craft({
	output = "default:shovel_wood",
	recipe = {
		{"group:tree"},
		{"group:stick"},
		{"group:stick"},
	}
})

core.register_craft({
	output = "default:shovel_wood",
	recipe = {
		{"group:tree_horizontal"},
		{"group:stick"},
		{"group:stick"},
	}
})

core.register_craft({
	output = "default:shovel_stone",
	recipe = {
		{"default:cobble"},
		{"group:stick"},
		{"group:stick"},
	}
})

core.register_craft({
	output = "default:shovel_copper",
	recipe = {
		{"default:copper_ingot"},
		{"group:stick"},
		{"group:stick"},
	}
})

core.register_craft({
	output = "default:shovel_bronze",
	recipe = {
		{"default:bronze_ingot"},
		{"group:stick"},
		{"group:stick"},
	}
})

core.register_craft({
	output = "default:shovel_steel",
	recipe = {
		{"default:steel_ingot"},
		{"group:stick"},
		{"group:stick"},
	}
})

core.register_craft({
	output = "default:axe_wood",
	recipe = {
		{"group:tree", "group:stick"},
		{"group:tree", "group:stick"},
		{"", "group:stick"},
	}
})

core.register_craft({
	output = "default:axe_wood",
	recipe = {
		{"group:tree_horizontal", "group:stick"},
		{"group:tree_horizontal", "group:stick"},
		{"", "group:stick"},
	}
})

core.register_craft({
	output = "default:axe_stone",
	recipe = {
		{"default:cobble", "group:stick"},
		{"default:cobble", "group:stick"},
		{"", "group:stick"},
	}
})

core.register_craft({
	output = "default:axe_copper",
	recipe = {
		{"default:copper_ingot", "group:stick"},
		{"default:copper_ingot", "group:stick"},
		{"", "group:stick"},
	}
})

core.register_craft({
	output = "default:axe_bronze",
	recipe = {
		{"default:bronze_ingot", "group:stick"},
		{"default:bronze_ingot", "group:stick"},
		{"", "group:stick"},
	}
})

core.register_craft({
	output = "default:axe_steel",
	recipe = {
		{"default:steel_ingot", "group:stick"},
		{"default:steel_ingot", "group:stick"},
		{"", "group:stick"},
	}
})

core.register_craft({
	output = "default:sword_wood",
	recipe = {
		{"group:tree"},
		{"group:tree"},
		{"group:stick"},
	}
})

core.register_craft({
	output = "default:sword_wood",
	recipe = {
		{"group:tree_horizontal"},
		{"group:tree_horizontal"},
		{"group:stick"},
	}
})

core.register_craft({
	output = "default:sword_stone",
	recipe = {
		{"default:cobble"},
		{"default:cobble"},
		{"group:stick"},
	}
})

core.register_craft({
	output = "default:sword_copper",
	recipe = {
		{"default:copper_ingot"},
		{"default:copper_ingot"},
		{"group:stick"},
	}
})

core.register_craft({
	output = "default:sword_bronze",
	recipe = {
		{"default:bronze_ingot"},
		{"default:bronze_ingot"},
		{"group:stick"},
	}
})

core.register_craft({
	output = "default:sword_steel",
	recipe = {
		{"default:steel_ingot"},
		{"default:steel_ingot"},
		{"group:stick"},
	}
})

core.register_craft({
	output = "default:spearwood",
	recipe = {
		{"", "", "default:stick"},
		{"", "default:stick", ""},
		{"default:stick", "", ""},
	}
})

core.register_craft({
	output = "default:spearstone",
	recipe = {
		{"", "", "group:stone"},
		{"", "default:stick", ""},
		{"default:stick", "", ""},
	}
})

core.register_craft({
	output = "default:furnace",
	recipe = {
		{"default:cobble", "default:cobble", "default:cobble"},
		{"default:cobble", "", "default:cobble"},
		{"default:cobble", "default:cobble", "default:cobble"},
	}
})

core.register_craft({
	output = "default:coalblock",
	recipe = {
		{"default:coal_lump", "default:coal_lump", "default:coal_lump"},
		{"default:coal_lump", "default:coal_lump", "default:coal_lump"},
		{"default:coal_lump", "default:coal_lump", "default:coal_lump"},
	}
})

core.register_craft({
	output = "default:coal_lump 9",
	recipe = {
		{"default:coalblock"},
	}
})

core.register_craft({
	output = "default:steelblock",
	recipe = {
		{"default:steel_ingot", "default:steel_ingot", "default:steel_ingot"},
		{"default:steel_ingot", "default:steel_ingot", "default:steel_ingot"},
		{"default:steel_ingot", "default:steel_ingot", "default:steel_ingot"},
	}
})

core.register_craft({
	output = "default:steel_ingot 9",
	recipe = {
		{"default:steelblock"},
	}
})

core.register_craft({
	output = "default:ironblock",
	recipe = {
		{"default:iron_ingot", "default:iron_ingot", "default:iron_ingot"},
		{"default:iron_ingot", "default:iron_ingot", "default:iron_ingot"},
		{"default:iron_ingot", "default:iron_ingot", "default:iron_ingot"},
	}
})

core.register_craft({
	output = "default:iron_ingot 9",
	recipe = {
		{"default:ironblock"},
	}
})

core.register_craft({
	output = "default:copperblock",
	recipe = {
		{"default:copper_ingot", "default:copper_ingot", "default:copper_ingot"},
		{"default:copper_ingot", "default:copper_ingot", "default:copper_ingot"},
		{"default:copper_ingot", "default:copper_ingot", "default:copper_ingot"},
	}
})

core.register_craft({
	output = "default:copper_ingot 9",
	recipe = {
		{"default:copperblock"},
	}
})

core.register_craft({
	output = "default:tinblock",
	recipe = {
		{"default:tin_ingot", "default:tin_ingot", "default:tin_ingot"},
		{"default:tin_ingot", "default:tin_ingot", "default:tin_ingot"},
		{"default:tin_ingot", "default:tin_ingot", "default:tin_ingot"},
	}
})

core.register_craft({
	output = "default:tin_ingot 9",
	recipe = {
		{"default:tinblock"},
	}
})

voxelgarden.register_alloy({
	output = "default:bronze_ingot",
	items = {"default:copper_ingot", "default:tin_ingot"},
	time = 7.0,
})

core.register_craft({
	output = "default:bronzeblock",
	recipe = {
		{"default:bronze_ingot", "default:bronze_ingot", "default:bronze_ingot"},
		{"default:bronze_ingot", "default:bronze_ingot", "default:bronze_ingot"},
		{"default:bronze_ingot", "default:bronze_ingot", "default:bronze_ingot"},
	}
})

core.register_craft({
	output = "default:bronze_ingot 9",
	recipe = {
		{"default:bronzeblock"},
	}
})

core.register_craft({
	output = "default:goldblock",
	recipe = {
		{"default:gold_ingot", "default:gold_ingot", "default:gold_ingot"},
		{"default:gold_ingot", "default:gold_ingot", "default:gold_ingot"},
		{"default:gold_ingot", "default:gold_ingot", "default:gold_ingot"},
	}
})

core.register_craft({
	output = "default:gold_ingot 9",
	recipe = {
		{"default:goldblock"},
	}
})

core.register_craft({
	output = "default:diamondblock",
	recipe = {
		{"default:diamond", "default:diamond", "default:diamond"},
		{"default:diamond", "default:diamond", "default:diamond"},
		{"default:diamond", "default:diamond", "default:diamond"},
	}
})

core.register_craft({
	output = "default:diamond 9",
	recipe = {
		{"default:diamondblock"},
	}
})

core.register_craft({
	output = "default:sandstone",
	recipe = {
		{"default:sand", "default:sand"},
		{"default:sand", "default:sand"},
	}
})

core.register_craft({
	output = "default:sand 4",
	recipe = {
		{"default:sandstone"},
	}
})

core.register_craft({
	output = "default:sandstonebrick 4",
	recipe = {
		{"default:sandstone", "default:sandstone"},
		{"default:sandstone", "default:sandstone"},
	}
})

core.register_craft({
	output = "default:sandstone_block 9",
	recipe = {
		{"default:sandstone", "default:sandstone", "default:sandstone"},
		{"default:sandstone", "default:sandstone", "default:sandstone"},
		{"default:sandstone", "default:sandstone", "default:sandstone"},
	}
})

core.register_craft({
	output = "default:clay",
	recipe = {
		{"default:clay_lump", "default:clay_lump"},
		{"default:clay_lump", "default:clay_lump"},
	}
})

core.register_craft({
	output = "default:clay_lump 4",
	recipe = {
		{"default:clay"},
	}
})

core.register_craft({
	output = "default:brick",
	recipe = {
		{"default:clay_brick", "default:clay_brick"},
		{"default:clay_brick", "default:clay_brick"},
	}
})

core.register_craft({
	output = "default:clay_brick 4",
	recipe = {
		{"default:brick"},
	}
})

core.register_craft({
	output = "default:stone_crumbled 4",
	recipe = {
		{"default:cobble"},
	}
})

core.register_craft({
	output = "default:cobble",
	recipe = {
		{"default:stone_crumbled", "default:stone_crumbled"},
		{"default:stone_crumbled", "default:stone_crumbled"},
	}
})

core.register_craft({
	output = "default:paper",
	recipe = {
		{"default:papyrus", "default:papyrus", "default:papyrus"},
	}
})

core.register_craft({
	output = "default:book",
	recipe = {
		{"default:paper"},
		{"default:paper"},
		{"default:paper"},
	}
})

core.register_craft({
	output = "default:sulphur 3",
	recipe = {
		{"default:gravel"},
	}
})

core.register_craft({
	output = "default:bookshelf 3",
	recipe = {
		{"group:wood", "group:wood", "group:wood"},
		{"default:book", "default:book", "default:book"},
		{"group:wood", "group:wood", "group:wood"},
	}
})

core.register_craft({
	output = "default:ladder_wood 3",
	recipe = {
		{"group:stick", "", "group:stick"},
		{"group:stick", "group:stick", "group:stick"},
		{"group:stick", "", "group:stick"},
	}
})

core.register_craft({
	output = "default:ladder_steel 9",
	recipe = {
		{"default:steel_ingot", "", "default:steel_ingot"},
		{"default:steel_ingot", "default:steel_ingot", "default:steel_ingot"},
		{"default:steel_ingot", "", "default:steel_ingot"},
	}
})

core.register_craft({
	output = "default:mese",
	recipe = {
		{"default:mese_crystal", "default:mese_crystal", "default:mese_crystal"},
		{"default:mese_crystal", "default:mese_crystal", "default:mese_crystal"},
		{"default:mese_crystal", "default:mese_crystal", "default:mese_crystal"},
	}
})

core.register_craft({
	output = "default:mese_crystal",
	recipe = {
		{"default:mese_crystal_fragment", "default:mese_crystal_fragment", "default:mese_crystal_fragment"},
		{"default:mese_crystal_fragment", "default:mese_crystal_fragment", "default:mese_crystal_fragment"},
		{"default:mese_crystal_fragment", "default:mese_crystal_fragment", "default:mese_crystal_fragment"},
	}
})

core.register_craft({
	output = "default:mese_crystal 9",
	recipe = {
		{"default:mese"},
	}
})

core.register_craft({
	output = "default:mese_crystal_fragment 9",
	recipe = {
		{"default:mese_crystal"},
	}
})

core.register_craft({
	output = "default:meselamp",
	recipe = {
		{"default:glass"},
		{"default:mese_crystal"},
	}
})

core.register_craft({
	output = "default:stonebrick 4",
	recipe = {
		{"default:stone", "default:stone"},
		{"default:stone", "default:stone"},
	}
})

core.register_craft({
	output = "default:stone_block 9",
	recipe = {
		{"default:stone", "default:stone", "default:stone"},
		{"default:stone", "default:stone", "default:stone"},
		{"default:stone", "default:stone", "default:stone"},
	}
})

core.register_craft({
	output = "default:desert_stonebrick 4",
	recipe = {
		{"default:desert_stone", "default:desert_stone"},
		{"default:desert_stone", "default:desert_stone"},
	}
})

core.register_craft({
	output = "default:desert_stone_block 9",
	recipe = {
		{"default:desert_stone", "default:desert_stone", "default:desert_stone"},
		{"default:desert_stone", "default:desert_stone", "default:desert_stone"},
		{"default:desert_stone", "default:desert_stone", "default:desert_stone"},
	}
})

core.register_craft({
	output = "default:granite_brick 4",
	recipe = {
		{"default:granite", "default:granite"},
		{"default:granite", "default:granite"},
	}
})

core.register_craft({
	output = "default:granite_block 9",
	recipe = {
		{"default:granite", "default:granite", "default:granite"},
		{"default:granite", "default:granite", "default:granite"},
		{"default:granite", "default:granite", "default:granite"},
	}
})


core.register_craft({
	output = "default:hardened_rock_brick 4",
	recipe = {
		{"default:hardened_rock", "default:hardened_rock"},
		{"default:hardened_rock", "default:hardened_rock"},
	}
})

core.register_craft({
	output = "default:snowblock",
	recipe = {
		{"default:snow", "default:snow", "default:snow"},
		{"default:snow", "default:snow", "default:snow"},
		{"default:snow", "default:snow", "default:snow"},
	}
})

core.register_craft({
	output = "default:snow 9",
	recipe = {
		{"default:snowblock"},
	}
})

core.register_craft({
	output = "default:obsidian_shard 9",
	recipe = {
		{"default:obsidian"}
	}
})

core.register_craft({
	output = "default:obsidian",
	recipe = {
		{"default:obsidian_shard", "default:obsidian_shard", "default:obsidian_shard"},
		{"default:obsidian_shard", "default:obsidian_shard", "default:obsidian_shard"},
		{"default:obsidian_shard", "default:obsidian_shard", "default:obsidian_shard"},
	}
})

core.register_craft({
	output = "default:obsidianbrick 4",
	recipe = {
		{"default:obsidian", "default:obsidian"},
		{"default:obsidian", "default:obsidian"}
	}
})

core.register_craft({
	output = "default:obsidian_block 9",
	recipe = {
		{"default:obsidian", "default:obsidian", "default:obsidian"},
		{"default:obsidian", "default:obsidian", "default:obsidian"},
		{"default:obsidian", "default:obsidian", "default:obsidian"},
	}
})

core.register_craft({
	output = "default:papyrus_roots",
	recipe = {
		{"default:papyrus", "default:papyrus", "default:papyrus"},
		{"default:papyrus", "default:papyrus", "default:papyrus"},
		{"default:papyrus", "default:papyrus", "default:papyrus"},
	}
})

core.register_craft({
	output = "default:papyrus 9",
	recipe = {
		{"default:papyrus_roots"},
	}
})

core.register_craft({
	output = "default:sand_with_small_kelp 2",
	recipe = {
		{"default:sand_with_kelp"},
	}
})

core.register_craft({
	output = "default:emergent_jungle_sapling",
	recipe = {
		{"default:junglesapling", "default:junglesapling", "default:junglesapling"},
		{"default:junglesapling", "default:junglesapling", "default:junglesapling"},
		{"default:junglesapling", "default:junglesapling", "default:junglesapling"},
	}
})


--
-- Crafting (tool repair)
--
core.register_craft({
	type = "toolrepair",
	additional_wear = -0.02,
})

--
-- Cooking recipes
--

core.register_craft({
	type = "cooking",
	output = "default:glass",
	recipe = "group:sand",
})

core.register_craft({
	type = "cooking",
	output = "default:obsidian_glass",
	recipe = "default:obsidian_shard",
})

core.register_craft({
	type = "cooking",
	output = "default:stone",
	recipe = "default:stone_crumbled",
})

core.register_craft({
	type = "cooking",
	output = "default:cobble",
	recipe = "default:mossycobble",
})

core.register_craft({
	type = "cooking",
	output = "default:iron_ingot",
	recipe = "default:iron_lump",
	cooktime = 10,
})

voxelgarden.register_alloy({
	output = "default:steel_ingot",
	items = {"default:iron_ingot", "default:coal_lump"},
	time = 7,
})

core.register_craft({
	type = "cooking",
	output = "default:copper_ingot",
	recipe = "default:copper_lump",
})

core.register_craft({
	type = "cooking",
	output = "default:tin_ingot",
	recipe = "default:tin_lump",
})

core.register_craft({
	type = "cooking",
	output = "default:gold_ingot",
	recipe = "default:gold_lump",
})

core.register_craft({
	type = "cooking",
	output = "default:clay_brick",
	recipe = "default:clay_lump",
})

core.register_craft({
	type = "cooking",
	output = "default:coal_lump",
	recipe = "group:tree",
})

core.register_craft({
	type = "cooking",
	output = "default:coal_lump",
	recipe = "group:tree_horizontal",
})

--
-- Fuels
--

core.register_craft({
	type = "fuel",
	recipe = "default:stick",
	burntime = 2,
})

core.register_craft({
	type = "fuel",
	recipe = "group:tree",
	burntime = 32,
})

core.register_craft({
	type = "fuel",
	recipe = "group:tree_horizontal",
	burntime = 32,
})

core.register_craft({
	type = "fuel",
	recipe = "default:junglegrass",
	burntime = 1,
})

core.register_craft({
	type = "fuel",
	recipe = "group:leaves",
	burntime = 4,
})

core.register_craft({
	type = "fuel",
	recipe = "default:cactus",
	burntime = 16,
})

core.register_craft({
	type = "fuel",
	recipe = "default:papyrus",
	burntime = 1,
})

core.register_craft({
	type = "fuel",
	recipe = "default:bookshelf",
	burntime = 32,
})

core.register_craft({
	type = "fuel",
	recipe = "default:fence_wood",
	burntime = 18,
})

core.register_craft({
	type = "fuel",
	recipe = "default:ladder",
	burntime = 7,
})

core.register_craft({
	type = "fuel",
	recipe = "group:wood",
	burntime = 16,
})

core.register_craft({
	type = "fuel",
	recipe = "default:lava_source",
	burntime = 64,
})

core.register_craft({
	type = "fuel",
	recipe = "default:torch",
	burntime = 10,
})

core.register_craft({
	type = "fuel",
	recipe = "default:sign_wall",
	burntime = 8,
})

core.register_craft({
	type = "fuel",
	recipe = "group:sapling",
	burntime = 4,
})

core.register_craft({
	type = "fuel",
	recipe = "default:apple",
	burntime = 2,
})

core.register_craft({
	type = "fuel",
	recipe = "default:coal_lump",
	burntime = 40,
})

core.register_craft({
	type = "fuel",
	recipe = "default:coalblock",
	burntime = 360,
})

core.register_craft({
	type = "fuel",
	recipe = "default:sulphur",
	burntime = 15,
})

core.register_craft({
	type = "fuel",
	recipe = "default:pick_wood",
	burntime = 5,
})

core.register_craft({
	type = "fuel",
	recipe = "default:shovel_wood",
	burntime = 5,
})

core.register_craft({
	type = "fuel",
	recipe = "default:axe_wood",
	burntime = 5,
})

core.register_craft({
	type = "fuel",
	recipe = "default:sword_wood",
	burntime = 5,
})

core.register_craft({
	type = "fuel",
	recipe = "default:dry_shrub",
	burntime = 4,
})

core.register_craft({
	type = "fuel",
	recipe = "default:fern_1",
	burntime = 1,
})

core.register_craft({
	type = "fuel",
	recipe = "default:marram_grass_1",
	burntime = 1,
})

core.register_craft({
	type = "fuel",
	recipe = "default:molten_rock",
	burntime = 32,
})

core.register_craft({
	type = "fuel",
	recipe = "default:seedling",
	burntime = 1,
})

core.register_craft({
	type = "fuel",
	recipe = "default:bonfire",
	burntime = 10,
})

core.register_craft({
	type = "fuel",
	recipe = "default:spearwood",
	burntime = 6,
})
